Bug 860403 - glance delete returns: Request returned failure status.
glance delete returns: Request returned failure status.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-glance (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 14:27 EDT by Steven Dake
Modified: 2016-04-26 12:50 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:19:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-09-25 14:27:32 EDT
Description of problem:
glance indicates an object is not present in glance delete, although it shows up in glance index.

[sdake@localhost ~]$ glance index
ID                                   Name                           Disk Format          Container Format     Size          
------------------------------------ ------------------------------ -------------------- -------------------- --------------
glaa485aeb3-abbc-45d3-8a70-13bed62895dc F17-x86_64-cfntools            qcow2                bare                      647228928
[sdake@localhost ~]$ glance delete glaa485aeb3-abbc-45d3-8a70-13bed62895dc
Delete image glaa485aeb3-abbc-45d3-8a70-13bed62895dc? [y/N] y
Request returned failure status.
HTTPNotFound (HTTP 404)


Version-Release number of selected component (if applicable):
[sdake@localhost ~]$ rpm -qa | grep glance
python-glance-2012.2-0.5.rc1.fc18.noarch
python-glanceclient-0.5.1-1.fc18.noarch
openstack-glance-2012.2-0.5.rc1.fc18.noarch


How reproducible:
unclear


Steps to Reproduce:
1. register an image with glance
2. try to delete the image
3.
  
Actual results:
HTTPNotFound (HTTP 404)


Expected results:
image deleted from glance

Additional info:
from registry.log:

2012-09-25 18:21:55 INFO glance.registry.api.v1.images [2c94484a-0b6e-4bcd-ade4-1fd71d01bb9e 4f72c851900e42ebaf44cead618deae2 ae61d45da6654c4baeb43f083c0ddc24] Returning detailed image list
2012-09-25 18:22:05 INFO glance.registry.api.v1.images [d73828a2-25fd-42e4-9f84-ebf6c007b5c0 4f72c851900e42ebaf44cead618deae2 ae61d45da6654c4baeb43f083c0ddc24] Image glaa485aeb3-abbc-45d3-8a70-13bed62895dc not found

from api.log:

2012-09-25 18:22:04 DEBUG glance.common.client [8c4930c2-69f6-4ff2-9e14-69fbc04552d0 4f72c851900e42ebaf44cead618deae2 ae61d45da6654c4baeb43f083c0ddc24] Constructed URL: http://0.0.0.0:9191/images/glaa485aeb3-abbc-45d3-8a70-13bed62895dc _construct_url /usr/lib/python2.7/site-packages/glance/common/client.py:464
2012-09-25 18:22:05 ERROR glance.registry.client [8c4930c2-69f6-4ff2-9e14-69fbc04552d0 4f72c851900e42ebaf44cead618deae2 ae61d45da6654c4baeb43f083c0ddc24] Registry request GET /images/glaa485aeb3-abbc-45d3-8a70-13bed62895dc Exception
2012-09-25 18:22:05 12637 TRACE glance.registry.client Traceback (most recent call last):
2012-09-25 18:22:05 12637 TRACE glance.registry.client   File "/usr/lib/python2.7/site-packages/glance/registry/client.py", line 89, in do_request
2012-09-25 18:22:05 12637 TRACE glance.registry.client     action, **kwargs)
2012-09-25 18:22:05 12637 TRACE glance.registry.client   File "/usr/lib/python2.7/site-packages/glance/common/client.py", line 63, in wrapped
2012-09-25 18:22:05 12637 TRACE glance.registry.client     return func(self, *args, **kwargs)
2012-09-25 18:22:05 12637 TRACE glance.registry.client   File "/usr/lib/python2.7/site-packages/glance/common/client.py", line 444, in do_request
2012-09-25 18:22:05 12637 TRACE glance.registry.client     headers=headers)
2012-09-25 18:22:05 12637 TRACE glance.registry.client   File "/usr/lib/python2.7/site-packages/glance/common/client.py", line 80, in wrapped
2012-09-25 18:22:05 12637 TRACE glance.registry.client     return func(self, method, url, body, headers)
2012-09-25 18:22:05 12637 TRACE glance.registry.client   File "/usr/lib/python2.7/site-packages/glance/common/client.py", line 570, in _do_request
2012-09-25 18:22:05 12637 TRACE glance.registry.client     raise exception.NotFound(res.read())
2012-09-25 18:22:05 12637 TRACE glance.registry.client NotFound: 404 Not Found
2012-09-25 18:22:05 12637 TRACE glance.registry.client 
2012-09-25 18:22:05 12637 TRACE glance.registry.client The resource could not be found.
2012-09-25 18:22:05 12637 TRACE glance.registry.client 
2012-09-25 18:22:05 12637 TRACE glance.registry.client    
2012-09-25 18:22:05 12637 TRACE glance.registry.client 
2012-09-25 18:22:05 DEBUG glance.api.v1.controller [8c4930c2-69f6-4ff2-9e14-69fbc04552d0 4f72c851900e42ebaf44cead618deae2 ae61d45da6654c4baeb43f083c0ddc24] Image with identifier glaa485aeb3-abbc-45d3-8a70-13bed62895dc not found get_image_meta_or_404 /usr/lib/python2.7/site-packages/glance/api/v1/controller.py:44
Comment 1 Steven Dake 2012-09-25 14:41:26 EDT
vaneldik pounted out that the image identifier "glaa485aeb3-abbc-45d3-8a70-13bed62895dc" is 3 characters too long.  It is possible I was typing glance into the console and then cut and paste the typed glance, which would mean this result is expected and not actually a problem.

Still the backtraces look troubling.
Comment 2 Fedora End Of Life 2013-12-21 03:56:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:19:32 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.